Skip to content

Create a New Strategy Group

Request

Create a strategy group within a campaign.

Security
Auth0(Required scopes: offline_accessmanage:services)
Bodyapplication/jsonrequired
namestring, [ 1 .. 255 ] charactersrequired
descriptionstring or null, <= 1024 characters
spend_cap_typestring
Default:"no-limit"
Enum:"even""asap""no-limit"
spend_cap_amountnumber or null, (float), [ 0.01 .. 9999999.99 ]

Required when spend_cap_type is 'even' or 'asap'. Optional (and may be null) when spend_cap_type is 'no-limit'. May be sent while spend_cap_automatic is true but is ignored until automatic is turned off.

impression_cap_typestring
Default:"no-limit"
Enum:"even""asap""no-limit"
impression_cap_amountinteger or null, (int32), >= 1

Required when impression_cap_type is 'even' or 'asap'. Optional (and may be null) when impression_cap_type is 'no-limit'. May be sent while impression_cap_automatic is true but is ignored until automatic is turned off.

external_identifierstring or null, <= 256 characters
campaign_idinteger, (int32), >= 1required
Example:100
curl -i -X POST \
  https://api.mediamath.com/api/v3.0/new_strategy_groups \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "description": "string",
    "spend_cap_type": "even",
    "spend_cap_amount": 0.01,
    "impression_cap_type": "even",
    "impression_cap_amount": 1,
    "external_identifier": "string",
    "campaign_id": 100
  }'

Responses

Created

Bodyapplication/json
dataobject(new_strategy_group_full)
metaobject
Response
{ "data": { "name": "string", "description": "string", "spend_cap_type": "even", "spend_cap_amount": 0.01, "impression_cap_type": "even", "impression_cap_amount": 1, "external_identifier": "string", "id": 0, "entity_type": "string", "version": 0, "campaign_id": 0, "strategy_count": 3, "strategies": [], "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }, "meta": { "status": "success" } }